unit umain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Menus,
  uInfoDlg, MenuIntf;
  
const
  lisLogoTestItem = 'EIDELogoTest';

type

  { TLogoTestForm }

  TLogoTestForm = class(TForm)
    MainMenu1: TMainMenu;
    MenuItem1: TMenuItem;
    procedure MenuItem1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  LogoTestForm: TLogoTestForm;
  
procedure Register;

implementation

{ TLogoTestForm }

const
  cMenueCaption = 'Logo Testen...';

var
  StartFromIDE: boolean;
  
procedure ShowLogoTestDLG(Sender: TObject);
var
  Dlg: TLogoTestForm;
begin
  { function body }
  StartFromIDE:= true;
  Dlg:= TLogoTestForm.Create(nil);
  Dlg.Caption:= 'Logo-Test';
  Dlg.ShowModal;
  uInfoDlg.StartFromIDE:= false;
  Dlg.Free;
end; // of ShowIDENewVisualComponentDLG

procedure Register;
begin
  { procedure body }
  RegisterIDEMenuCommand(itmPkgUnits, // after this MenuItem include
                         lisLogoTestItem, // unique MenuItem-Name
                         cMenueCaption,  // new Menu-Caption
                         Nil,                        // OnClickMethod
                         @ShowLogoTestDLG, // OnClickProc
                         Nil);  // IDECommand
end; // of None.Register

procedure TLogoTestForm.MenuItem1Click(Sender: TObject);
var
  Dlg: TfoInfoDlg;
begin
  Dlg:= TfoInfoDlg.Create(nil);
  uInfoDlg.StartFromIDE:= StartFromIDE;
  Dlg.ShowModal;
  Dlg.Free;
end;

initialization
  {$I umain.lrs}
  StartFromIDE:= false;
  
end.

